Subject: Re: [PATCH] Fix gcc-4 warning in accept() call

From: "H. Peter Anvin" <[email-masked]>
Date: Thu, 29 Sep 2005 22:58:42 -0700

H. Peter Anvin wrote:
> Junio C Hamano wrote:
> 
>> Pavel Roskin <[email-masked]> writes:
>>
>>
>>> gcc-4 warns about sign mismatch in pointers.  Third argument in accept()
>>> is socklen_t, which is unsigned.  Since Linus doesn't like socklen_t
>>> (see commit 7fa090844f7d1624c7d1ffc621aae6aec84a1110), let's use
>>> unsigned int.
>>
>>
>> Based on the list comments, I'd drop this patch -- it appears
>> that gcc-4 warning is useless in this case.
>>
> 
> No, it's not.  The proper type, if you don't use socklen_t, is int, not 
> unsigned int.
> 

Apparently I'm wrong; socklen_t is unsigned int at least on glibc for 
i386.  I'll shut up now.

	-hpa